<?php
namespace Claromentis\Core\DAL\Interfaces;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array();
use Claromentis\Core\DAL\Exceptions\TransactionException;




interface TransactionInterface
{
    
    
    
    
    
    
    
    
    
    public function BeginTransaction();
    
    
    
    
    
    
    
    
    
    public function EndTransaction();
    
    
    
    
    
    
    
    
    
    public function RollbackTransaction();
    
    
    
    
    
    
    public function InTransaction() : bool;
    
    
    
    
    
    
    
    
    
    
    
    
    public function DoTransaction(callable $callback);
}